libpocl2-common_1.1-5_all.deb


Advertisement

Description

libpocl2-common - common files for the pocl library

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpocl2-common
Package version 1.1
Package release 5
Package architecture all
Package type deb
Installed size 202 B
Download size 22.89 KB
Official Mirror archive.ubuntu.com
Portable Computing Language is an open source implementation of the OpenCL
standard which can be easily adapted for new targets. One of the goals of the
project is improving performance portability of OpenCL programs, avoiding the
need for target-dependent manual optimizations. A "native" target is included,
which allows running OpenCL kernels on the host (CPU).
This package provides the architecture independent files of the pocl library.

Alternatives

Package Version Architecture Repository
libpocl2-common_1.1-5_all.deb 1.1 all Ubuntu Universe
libpocl2-common - - -

Replaces

Name Value
libpocl1-common -

Download

Type URL
Binary Package libpocl2-common_1.1-5_all.deb
Source Package pocl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpocl2-common deb package:
    # sudo apt-get install libpocl2-common

Files

Path
/usr/share/doc/libpocl2-common/changelog.Debian.gz
/usr/share/doc/libpocl2-common/copyright
/usr/share/pocl/include/_builtin_renames.h
/usr/share/pocl/include/_enable_all_exts.h
/usr/share/pocl/include/_kernel.h
/usr/share/pocl/include/_kernel_c.h
/usr/share/pocl/include/_kernel_constants.h
/usr/share/pocl/include/pocl.h
/usr/share/pocl/include/pocl_device.h
/usr/share/pocl/include/pocl_types.h

Changelog

2018-04-09 - Andreas Beckmann <anbe@debian.org>
pocl (1.1-5) unstable; urgency=medium
* Upload to unstable.
2018-04-06 - Andreas Beckmann <anbe@debian.org>
pocl (1.1-4) experimental; urgency=medium
* Run clinfo during testing.
* Do not link with --rtlib=compiler-rt on non-x86.  (Closes: #892426)
* Prevent PIC/no-PIC option clash on mips64el.
* Set target cpu for armel to arm946e-s (arch=armv5te).
* Set target cpu for armhf to arm1156t2f-s (arch=armv6t2) with
-mfpu=vfp3-d16. Probably suboptimal (should rather be arch=armv7-a without
neon,vfp4), but passes all tests.  (Closes: #888063)
* Bump Standards-Version to 4.1.4, no changes needed.
2018-03-27 - Andreas Beckmann <anbe@debian.org>
pocl (1.1-3) experimental; urgency=medium
* Add support for building for the GENERIC cpu, i.e. llvm defaults.
* Build with -DLLC_HOST_CPU=GENERIC on most architectures.
* Build with -DKERNELLIB_HOST_CPU_VARIANTS=distro on amd64.
* Switch to llvm 6.0.
2018-03-25 - Andreas Beckmann <anbe@debian.org>
pocl (1.1-2) experimental; urgency=medium
* Switch to llvm 5.0.
* Update symbols files for amd64 and i386.
* Cherry-pick upstream commits for libhwloc 2.0 support.
* Cherry-pick upstream commit fixing test_clCreateSubDevices with 3 CUs.
* Cherry-pick upstream commit fixing reported values of native/preferred
vector width for unsupported types.
* pocl-doc: Mark as Multi-Arch: foreign.
* Upload to experimental.
2018-03-10 - Andreas Beckmann <anbe@debian.org>
pocl (1.1-1) unstable; urgency=medium
* New upstream release.
* Remove patches, applied or fixed upstream.
* Remove -DFORCE_OCL_KERNEL_TARGET_CPU=ON, fixed upstream.
* Report the error code on test failure.
* Point watch file to git tags on github.
* Add debian/upstream/metadata.
* Upload to unstable.
2018-02-27 - Andreas Beckmann <anbe@debian.org>
pocl (1.1~rc2-1) experimental; urgency=medium
* New upstream release candidate.  (Closes: #888062)
* Remove patches that were applied upstream.
* Update symbols files.
* Do not attempt to run the testsuite during an arch-indep build.
* Set LLVM_ARCH for arm64, armel, armhf to generic.
* Set LLVM_ARCH for s390x to z10.  (Closes: #888064)
* Drop internal helper library packages libpoclu-dev and libpoclu2.
* Add altivec.patch to get rid of the conflicting bool and vector macros
from altivec.h.  (Closes: #764561)
* Update Lintian overrides.
* Upload to experimental.
2018-01-19 - Andreas Beckmann <anbe@debian.org>
pocl (1.0-2) unstable; urgency=medium
* Merge changes from 0.14-7.
* Build with SLEEF instead of VECMATHLIB.
* HACK: Ignore test failure for kernel/test_fabs on i386.
* Add and use new CMake option -DFORCE_OCL_KERNEL_TARGET_CPU=ON.
* Upload to unstable.
2018-01-17 - Andreas Beckmann <anbe@debian.org>
pocl (1.0-1) experimental; urgency=medium
* New upstream release.
* Refresh/remove patches.
* Build with -DPOCL_ICD_ABSOLUTE_PATH=OFF.
* Rename library packages for SOVERSION bump: 1 => 2.
* Update symbols files for amd64 and i386.
* Build with -DENABLE_VECMATHLIB=ON.
* Upload to experimental.
2018-01-17 - Andreas Beckmann <anbe@debian.org>
pocl (0.14-7) unstable; urgency=medium
* Switch to llvm 4.0.  (Closes: #873417)
* Update symbols files for amd64 and i386.
2018-01-17 - Andreas Beckmann <anbe@debian.org>
pocl (0.14-6) unstable; urgency=medium
* Switch to debhelper compat level 11.
* Bump Standards-Version to 4.1.3, no changes needed.
* Switch Vcs-* to salsa.debian.org.
* Remove superfluous patches.

See Also

Package Description
libpocl2_1.1-5_i386.deb Portable Computing Language library
libpoco-dev_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Development files
libpoco-doc_1.3.6-1_all.deb Documentation for POCO - The C++ Portable Components
libpococrypto50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Crypto library
libpocodata50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Data library
libpocodatamysql50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Data MySQL library
libpocodataodbc50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) ODBC library
libpocodatasqlite50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Data SQLite library
libpocofoundation50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Foundation library
libpocojson50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) JSON library
libpocomongodb50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Data MongoDB library
libpoconet50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Network library
libpoconetssl50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Network library with SSL
libpocoredis50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Redis library
libpocoutil50_1.8.0.1-1ubuntu4_i386.deb C++ Portable Components (POCO) Util library
Advertisement
Advertisement